Last Comment Bug 71008 - [RFE] Account Wizard should allow setting of different SMTP server
: [RFE] Account Wizard should allow setting of different SMTP server
Status: ASSIGNED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Account Configuration (show other bugs)
: Trunk
: All All
: -- enhancement with 3 votes (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-06 03:56 PST by Gregor Rosenauer
Modified: 2012-03-11 10:50 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Rearrange fields (25.83 KB, patch)
2012-02-12 11:20 PST, neil@parkwaycc.co.uk
no flags Details | Diff | Review
patch that builds for Thunderbird (21.63 KB, patch)
2012-02-14 20:58 PST, David :Bienvenu
no flags Details | Diff | Review
With correct jar.mn changes (28.24 KB, patch)
2012-02-15 01:15 PST, neil@parkwaycc.co.uk
iann_bugzilla: feedback+
mozilla: feedback+
Details | Diff | Review
Now with string changes (43.69 KB, patch)
2012-02-19 13:58 PST, neil@parkwaycc.co.uk
iann_bugzilla: review-
mozilla: feedback+
Details | Diff | Review
Fix RSS (46.35 KB, patch)
2012-02-29 08:26 PST, neil@parkwaycc.co.uk
iann_bugzilla: review+
mozilla: review+
Details | Diff | Review

Description Gregor Rosenauer 2001-03-06 03:56:26 PST
See also bug #52384.

Currently, when you set up a new POP-account, the default outgoing server is used.
This violates the new mailserver-rules which deny "relaying" and only accept
mail from people who are registered on that server.
This was introduced (at least over here in Europe) after spammers misused
various mailservers to send out unsolicited mass-mail.

So, instead of hiding away the possibility to add another SMTP-server, this
should be made available in the account-wizard right away.
Currently, a message is displayed that it's best to use the default-server, and
the user has no choice to specify his or her own.
Comment 1 Devoti Paolo 2001-03-06 04:55:09 PST
See also bug #49893
Comment 2 Keyser Sose 2001-04-26 18:24:34 PDT
Marking NEW.
Comment 3 ns13_stregone 2003-01-11 18:22:38 PST
This is definitly needed.  If you have more than one email account in mozilla
you have to switch the smtp server manualy when you want to send email.
Comment 4 (not reading, please use seth@sspitzer.org instead) 2003-05-08 11:11:12 PDT
mass re-assign.
Comment 5 Henrik Lynggaard Hansen 2003-07-26 16:38:04 PDT
found dupe, marking this the dupe as the other has more details.

*** This bug has been marked as a duplicate of 170520 ***
Comment 6 Vedran Miletic 2003-08-03 01:57:24 PDT
v
Comment 7 neil@parkwaycc.co.uk 2012-02-12 11:20:04 PST
Created attachment 596499 [details] [diff] [review]
Rearrange fields

The first stage is to switch from server/login pages to incoming/outgoing pages. This patch just does what I think are all the code changes. In particular, I'm going to have to do something about the access keys. For now, I
* renamed the server page to the incoming page and the login page to the outgoing page.
* moved the SMTP server box to the outgoing page and the POP/IMAP username box to the incoming page, including the setup and validation code.
I've tried this with regular email accounts. As far as I can tell it doesn't affect news accounts, but I don't have any ispdata accounts to test with.
Comment 8 David :Bienvenu 2012-02-14 17:16:25 PST
Comment on attachment 596499 [details] [diff] [review]
Rearrange fields

thunderbird build failed because it couldn't find aw-server.js - I didn't do a clobber build, but I suspect there's still a TB reference to that file. I'll investigate a bit later.
Comment 9 David :Bienvenu 2012-02-14 20:58:17 PST
Created attachment 597292 [details] [diff] [review]
patch that builds for Thunderbird

this builds on Thunderbird - will try it in the morning.
Comment 10 neil@parkwaycc.co.uk 2012-02-15 00:31:25 PST
Oh, I forgot to include jar.mn changes in my diff. Sorry about that.
Comment 11 neil@parkwaycc.co.uk 2012-02-15 01:15:24 PST
Created attachment 597337 [details] [diff] [review]
With correct jar.mn changes
Comment 12 neil@parkwaycc.co.uk 2012-02-15 01:16:49 PST
Comment on attachment 597337 [details] [diff] [review]
With correct jar.mn changes

Bah, I tried to request dbienvenu when I should have used :bienvenu...
Comment 13 David :Bienvenu 2012-02-15 08:08:51 PST
Thunderbird doesn't use the account wizard for new mail accounts, but it does use it for new news accounts, and when I try to add a new news account, after giving the nntp host name, I get this:

AccountWizard.prefillAccountForIsp(newsaccount)
JavaScript error: chrome://messenger/content/AccountWizard.xul, line 1: incoming
PageValidate is not defined

I haven't tried this w/o your patch, and I haven't made sure that I made the same jar changes as your most recent patch - I'll check that now.
Comment 14 neil@parkwaycc.co.uk 2012-02-15 08:14:05 PST
(In reply to David Bienvenu from comment #13)
> Thunderbird doesn't use the account wizard for new mail accounts
Have you dropped the preconfigured accounts you used to have too?

> incomingPageValidate is not defined
That should be defined in aw-incoming.js for which you would need the latest jar.mn changes to package correctly.
Comment 15 David :Bienvenu 2012-02-15 08:29:10 PST
(In reply to neil@parkwaycc.co.uk from comment #14)
> (In reply to David Bienvenu from comment #13)
> > Thunderbird doesn't use the account wizard for new mail accounts
> Have you dropped the preconfigured accounts you used to have too?

yes, since we can do the same thing with the autoconfig stuff.
> 
> > incomingPageValidate is not defined
> That should be defined in aw-incoming.js for which you would need the latest
> jar.mn changes to package correctly.

that was it - setting up a new news account does work.
Comment 16 Ian Neal 2012-02-17 09:07:12 PST
Comment on attachment 597337 [details] [diff] [review]
With correct jar.mn changes

You've not changed serverTitle.label or loginTitle.label to incoming / outgoing.
f+ from me on testing mail accounts (though not every iteration possible).
Comment 17 neil@parkwaycc.co.uk 2012-02-19 13:58:20 PST
Created attachment 598710 [details] [diff] [review]
Now with string changes

Although patch didn't like it, kdiff3 seemed to think it could merge the locale changes to Thunderbird, so I hope it's OK.

This patch also includes a bugfix for a missing smtp user name which was supposed to default to copying the incoming user name.

I tried not to rename too many entities.
Comment 18 David :Bienvenu 2012-02-26 15:43:47 PST
Comment on attachment 598710 [details] [diff] [review]
Now with string changes

adding TB news accounts works fine.
Comment 19 Ian Neal 2012-02-28 16:08:14 PST
Comment on attachment 598710 [details] [diff] [review]
Now with string changes

The xul parts you are touching which are over 80 characters long, could you make them one attribute per line?
r=me either way.
Comment 20 Ian Neal 2012-02-28 16:16:20 PST
Comment on attachment 598710 [details] [diff] [review]
Now with string changes

Hmmm, on further testing, the wizard for newsblog accounts is not correct.
It prompts for both incoming and outgoing information which it shouldn't.
Comment 21 neil@parkwaycc.co.uk 2012-02-29 08:26:36 PST
Created attachment 601623 [details] [diff] [review]
Fix RSS

Also fixes a bug in the global inbox code whereby it is offered for movemail.
Comment 22 Ian Neal 2012-03-01 16:09:53 PST
Comment on attachment 601623 [details] [diff] [review]
Fix RSS

r=me thanks
Comment 23 David :Bienvenu 2012-03-05 13:08:33 PST
Comment on attachment 601623 [details] [diff] [review]
Fix RSS

add an rss account in TB works w/ this patch.
Comment 24 neil@parkwaycc.co.uk 2012-03-07 12:46:39 PST
Comment on attachment 601623 [details] [diff] [review]
Fix RSS

Pushed changeset 0935f4dd69c4 to comm-central.

Note You need to log in before you can comment on or make changes to this bug.